### Function Macro

# GLib datalist_remove_data

#### Declaration [src]

    #define g_datalist_remove_data (
      dl,
      k
    )

#### Description [src]

Removes an element using its string identifier. The data element’s destroy function is called if it has been set.

This function is not directly available to language bindings.

#### Parameters

`dl`

  Type: `-`

  A datalist.

`k`

  Type: `-`

  The string identifying the data element.